Page MenuHomeFreeBSD

bhyve: Move kernemu to amd64/
ClosedPublic

Authored by markj on Jun 14 2023, 9:52 PM.
Tags
None
Referenced Files
Unknown Object (File)
Jan 19 2024, 12:16 PM
Unknown Object (File)
Dec 24 2023, 10:56 AM
Unknown Object (File)
Dec 20 2023, 8:37 AM
Unknown Object (File)
Dec 11 2023, 4:31 AM
Unknown Object (File)
Nov 28 2023, 11:20 AM
Unknown Object (File)
Nov 21 2023, 8:09 AM
Unknown Object (File)
Nov 21 2023, 5:27 AM
Unknown Object (File)
Nov 13 2023, 11:48 PM
Subscribers

Details

Summary

This code handles instruction emulation for accesses to various
amd64-specific MMIO regions.

No functional change intended.

Diff Detail

Repository
rG FreeBSD src repository
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

markj requested review of this revision.Jun 14 2023, 9:52 PM
jhb added inline comments.
usr.sbin/bhyve/bhyverun.c
93

This should be in the e820 commit?

This revision is now accepted and ready to land.Jun 14 2023, 11:31 PM
markj marked an inline comment as done.

Rebase, handle review feedback.

This revision now requires review to proceed.Jun 15 2023, 10:13 PM

You have to add kernemu_dev.c to amd64/Makefile.inc. Besides that, LGTM.

This revision is now accepted and ready to land.Jun 16 2023, 5:33 AM

Update makefiles as well.

This revision now requires review to proceed.Jun 16 2023, 2:03 PM
This revision is now accepted and ready to land.Jun 16 2023, 11:30 PM
This revision was automatically updated to reflect the committed changes.